summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStef Walter <stefw@collabora.co.uk>2011-10-06 10:59:50 +0200
committerStef Walter <stefw@collabora.co.uk>2011-10-06 13:12:08 +0200
commitc6691faa0348ab087e99ab9bd9914e1d5e81fa14 (patch)
tree185f0bc8ec6c4dc723fb4b40b3a980016be5d71a /autogen.sh
parent5791608b2762d7264c58caaf9fe53d7a16ede1c1 (diff)
downloadgcr-c6691faa0348ab087e99ab9bd9914e1d5e81fa14.tar.gz
Split the GCR and GCK libraries out of gnome-keyringsplit
Commits prior to this commit will not build. To build old releases of Gcr or Gck you should use the gnome-keyring git module. This module currently depends on: gtk+ >= 3.0, glib >= 2.28.0, p11-kit >= 0.6, libgcrypt >= 1.2.2 Additionally it requires asn1Parser for building.
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100644
index 0000000..67848dd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="gcr"
+USE_GNOME2_MACROS=1
+REQUIRED_AUTOMAKE_VERSION=1.11
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+( test -f $srcdir/configure.ac ) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+. gnome-autogen.sh